Subject: Re: type command
From: [email-masked] (Jon Thackray)

5 May 1998 20:02:26 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]

[email-masked] writes:
 > On Fri, 1 May 1998 10:44:44 +0100, you wrote:
 > 
 > >Bob McGowan writes:
 > > > In b19, the sh.exe is a different shell, based on something called ash.
 > > > It does not support the shell built-in command "type" (to check, run
 > > > "sh"
 > > > from the bash command line, then put in the command "type type".  The
 > > > ash
 > > > shell generates the output "type: not found" while bash says "type is a
 > > > shell builtin").  The make is probably running "sh" so if it is actually
 > > > ash then you have problems.  Rename sh.exe to ash.exe (if you want to
 > > > keep
 > > > it), then copy bash.exe to sh.exe.  Hopefully this will fix the problem.
 > >
 > >Given that ash.exe is no use for commands like make, is there a good
 > >reason why sh.exe, which one is recommended to copy into /bin so that
 > >it is available for make, is actually ash.exe, which is no use for
 > >make?
 > 
 > Incorrect, ash.exe is the only /bin/sh that will work under win95
 > to configure/compile the CDK
 > 
 > /bin/sh == bash.exe crashes 95
 > so does make check in the ...src/bash dir of the CDK

Well, perhaps this should be in the README or FAQ (perhaps it is, and
I've just missed it). However, using ash as /bin/sh does not work
properly under NT, it loses bits of the path. Using bash as /bin/sh
does work under NT. Win95 is of no interest to me as a development
system, as it is simply not robust enough.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".